org.codehaus.plexus.component.builder

## Class XBeanComponentBuilder<T>

- java.lang.Object
- - org.codehaus.plexus.component.builder.XBeanComponentBuilder<T>

All Implemented Interfaces:
  ComponentBuilder<T>

    public class XBeanComponentBuilder<T>
    extends java.lang.Object
    implements ComponentBuilder<T>

### Nested Class Summary

Nested Classes
`static class` `XBeanComponentBuilder.RequirementRecipe<T>`

### Constructor Summary

Constructors
Constructor and Description
`XBeanComponentBuilder()`
`XBeanComponentBuilder(ComponentManager<T> componentManager)`

### Method Summary

Methods
`T` `build(ComponentDescriptor<T> descriptor, org.codehaus.plexus.classworlds.realm.ClassRealm realm, ComponentBuildListener listener)`
`protected T` `createComponentInstance(ComponentDescriptor<T> descriptor, org.codehaus.plexus.classworlds.realm.ClassRealm realm)`
`org.apache.xbean.recipe.ObjectRecipe` `createObjectRecipe(ComponentDescriptor<T> descriptor, org.codehaus.plexus.classworlds.realm.ClassRealm realm)`
`protected java.lang.String` `fromXML(java.lang.String elementName)`
`ComponentManager<T>` `getComponentManager()`
`protected MutablePlexusContainer` `getContainer()`
`void` `setComponentManager(ComponentManager<T> componentManager)`
`protected boolean` `shouldConfigure(ComponentDescriptor<T> descriptor)`
`protected void` `startComponentLifecycle(java.lang.Object component, org.codehaus.plexus.classworlds.realm.ClassRealm realm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XBeanComponentBuilder

    public XBeanComponentBuilder()

#### XBeanComponentBuilder

    public XBeanComponentBuilder(ComponentManager<T> componentManager)

### Method Detail

#### getComponentManager

    public ComponentManager<T> getComponentManager()

#### setComponentManager

    public void setComponentManager(ComponentManager<T> componentManager)

#### getContainer

    protected MutablePlexusContainer getContainer()

#### build

    public T build(ComponentDescriptor<T> descriptor,
          org.codehaus.plexus.classworlds.realm.ClassRealm realm,
          ComponentBuildListener listener)
            throws ComponentInstantiationException,
                   ComponentLifecycleException

Specified by:
  `build` in interface `ComponentBuilder<T>`
Throws:
  `ComponentInstantiationException`
  `ComponentLifecycleException`

#### createComponentInstance

    protected T createComponentInstance(ComponentDescriptor<T> descriptor,
                            org.codehaus.plexus.classworlds.realm.ClassRealm realm)
                                 throws ComponentInstantiationException,
                                        ComponentLifecycleException

Throws:
  `ComponentInstantiationException`
  `ComponentLifecycleException`

#### createObjectRecipe

    public org.apache.xbean.recipe.ObjectRecipe createObjectRecipe(ComponentDescriptor<T> descriptor,
                                                          org.codehaus.plexus.classworlds.realm.ClassRealm realm)
                                                            throws ComponentInstantiationException,
                                                                   PlexusConfigurationException

Throws:
  `ComponentInstantiationException`
  `PlexusConfigurationException`

#### shouldConfigure

    protected boolean shouldConfigure(ComponentDescriptor<T> descriptor)

#### fromXML

    protected java.lang.String fromXML(java.lang.String elementName)

#### startComponentLifecycle

    protected void startComponentLifecycle(java.lang.Object component,
                               org.codehaus.plexus.classworlds.realm.ClassRealm realm)
                                    throws ComponentLifecycleException

Throws:
  `ComponentLifecycleException`